# $Revision: 1.70 $, $Date: 2011/08/12 19:20:17 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"

%define		pnam	Glib
%include	/usr/lib/rpm/macros.perl
Summary:	Perl Glib bindings
Summary(pl.UTF-8):	Wiązania Glib dla Perla
Name:		perl-Glib
# note: versions 1.x[13579]y are unstable, if you want them, please use DEVEL branch
Version:	1.224
Release:	2
License:	LGPL v2.1+
Group:		Development/Languages/Perl
Source0:	http://downloads.sourceforge.net/gtk2-perl/%{pnam}-%{version}.tar.gz
# Source0-md5:	f7fa5397f1f6b921ba3c3c4475ae582b
URL:		http://gtk2-perl.sourceforge.net/
BuildRequires:	glib2-devel >= 1:2.12.2
BuildRequires:	perl-ExtUtils-Depends >= 0.300
BuildRequires:	perl-ExtUtils-PkgConfig >= 1.06
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
Requires:	glib2 >= 1:2.12.2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module provides Perl access to Glib and GLib's GObject libraries.

%description -l pl.UTF-8
Ten moduł daje dostęp z poziomu Perla do bibliotek GLib i GObject.

%package devel
Summary:	Development files for Perl Glib bindings
Summary(pl.UTF-8):	Pliki programistyczne wiązań Glib dla Perla
Group:		Development/Languages/Perl
Requires:	%{name} = %{version}-%{release}

%description devel
Development files for Perl Glib bindings.

%description devel -l pl.UTF-8
Pliki programistyczne wiązań Glib dla Perla.

%prep
%setup -q -n %{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{perl_vendorarch}/{Gnome2,auto/Gnome2}

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{perl_vendorarch}/Glib/*.pod
%{__rm} $RPM_BUILD_ROOT%{perl_vendorarch}/Glib/Param/*.pod
%{__rm} $RPM_BUILD_ROOT%{perl_vendorarch}/auto/Glib/.packlist

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS NEWS README*
%{perl_vendorarch}/Glib.pm
%dir %{perl_vendorarch}/Glib
%{perl_vendorarch}/Glib/Object
%dir %{perl_vendorarch}/auto/Glib
%attr(755,root,root) %{perl_vendorarch}/auto/Glib/Glib.so
%{perl_vendorarch}/auto/Glib/Glib.bs
%{_mandir}/man3/Glib.3pm*
%{_mandir}/man3/Glib::BookmarkFile.3pm*
%{_mandir}/man3/Glib::Boxed.3pm*
%{_mandir}/man3/Glib::Error.3pm*
%{_mandir}/man3/Glib::Flags.3pm*
%{_mandir}/man3/Glib::KeyFile.3pm*
%{_mandir}/man3/Glib::Log.3pm*
%{_mandir}/man3/Glib::MainLoop.3pm*
%{_mandir}/man3/Glib::Markup.3pm*
%{_mandir}/man3/Glib::Object*.3pm*
%{_mandir}/man3/Glib::OptionContext.3pm*
%{_mandir}/man3/Glib::OptionGroup.3pm*
%{_mandir}/man3/Glib::Param::*.3pm*
%{_mandir}/man3/Glib::ParamSpec.3pm*
%{_mandir}/man3/Glib::Signal.3pm*
%{_mandir}/man3/Glib::Type.3pm*
%{_mandir}/man3/Glib::Utils.3pm*
%{_mandir}/man3/Glib::index.3pm*
%{_mandir}/man3/Glib::version.3pm*
# for Gnome2-related packages
%dir %{perl_vendorarch}/Gnome2
%dir %{perl_vendorarch}/auto/Gnome2

%files devel
%defattr(644,root,root,755)
%{perl_vendorarch}/Glib/CodeGen.pm
%{perl_vendorarch}/Glib/GenPod.pm
%{perl_vendorarch}/Glib/Install
%{perl_vendorarch}/Glib/MakeHelper.pm
%{perl_vendorarch}/Glib/ParseXSDoc.pm
%{_mandir}/man3/Glib::CodeGen.3pm*
%{_mandir}/man3/Glib::GenPod.3pm*
%{_mandir}/man3/Glib::MakeHelper.3pm*
%{_mandir}/man3/Glib::ParseXSDoc.3pm*
%{_mandir}/man3/Glib::devel.3pm*
%{_mandir}/man3/Glib::xsapi.3pm*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Glib.spec,v $
Revision 1.70  2011/08/12 19:20:17  qboosh
- Glib::MakeHelper is needed by recent perl-Pango, so added -devel package containing all the devel tools for Glib-based bindings
- release 2

Revision 1.69  2011/08/12 18:45:34  qboosh
- updated to 1.224

Revision 1.68  2011/03/16 22:26:09  glen
- avoid pulling devel deps (via Glib::MakeHelper)

Revision 1.67  2011/03/07 19:35:15  qboosh
- updated to 1.223

Revision 1.66  2010/11/12 23:38:05  pawelz
- release 3

Revision 1.65  2010/06/06 05:32:43  arekm
- release 2

Revision 1.64  2009/09/14 10:46:24  amateja
- updated to 1.222

Revision 1.63  2009/06/17 07:39:40  amateja
- updated to 1.221

Revision 1.62  2009/03/14 11:48:43  hawk
- release 2

Revision 1.61  2008/11/07 16:02:03  sls
- ver. 1.200

Revision 1.60  2008/10/23 06:59:42  arekm
- release 2

Revision 1.59  2008/10/15 16:36:55  sls
- BR: perl-ExtUtils-Depends >= 0.300

Revision 1.58  2008/07/20 08:43:38  qboosh
- updated to 1.183

Revision 1.57  2008/04/16 13:45:04  sls
- ver. 1.180

Revision 1.56  2008-03-01 21:59:03  wolvverine
- up to 1.164

Revision 1.55  2008-02-08 13:50:36  arekm
- rel 3

Revision 1.54  2008-01-10 08:38:38  glen
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

Revision 1.53  2007-12-01 15:51:50  qboosh
- added Gnome2 base dirs (moved from Gtk2 - Gnome::GConf doesn't use Gtk2)
- release 2

Revision 1.52  2007-12-01 15:36:59  qboosh
- updated to 1.162

Revision 1.51  2007-06-02 15:53:44  qboosh
- added NEWS to doc

Revision 1.50  2007/06/02 08:14:50  qboosh
- updated to 1.144

Revision 1.49  2007/02/13 07:47:12  glen
- tabs in preamble

Revision 1.48  2007/02/12 00:49:33  baggins
- converted to UTF-8

Revision 1.47  2006/12/10 09:44:18  qboosh
- updated to 1.142

Revision 1.46  2006/12/01 22:01:35  qboosh
- updated to 1.141

Revision 1.45  2006/09/10 10:26:49  qboosh
- updated to 1.140, fixed glib2 epoch, use pure_install

Revision 1.44  2006/08/27 10:34:37  glen
- check-files cleanup

Revision 1.43  2006/08/26 17:15:48  grzegol
- updated to 1.132
- rel. 1

Revision 1.42  2006/08/05 22:24:05  agaran
- up to 1.131, rel 0.1 builds here

Revision 1.41  2006/07/26 16:03:33  glen
- unify sourceforge url

Revision 1.40  2006/03/14 14:04:39  freetz
- 1.120 (GNOME2.14)

Revision 1.39  2006/02/15 07:31:11  freetz
- 1.105

Revision 1.38  2005/11/03 20:15:43  glen
- unify sf url, and other things that adapter felt neccessary

Revision 1.37  2005/10/08 12:08:42  freetz
- 1.101

Revision 1.36  2005/09/09 13:05:51  freetz
- 1.100 (2.12.0)

Revision 1.35  2005/04/23 07:57:30  freetz
- 1.081, switched to working sf mirror

Revision 1.34  2005/03/24 22:40:38  freetz
- 1.080, more .pods killed

Revision 1.33  2005/02/20 10:01:33  radek
- version 1.062

Revision 1.32  2004/12/19 09:16:01  darekr
- reverted

Revision 1.31  2004/12/18 16:17:12  darekr
- updated to 1.071

Revision 1.30  2004/11/03 22:30:24  paladine
- formatting

Revision 1.29  2004/11/02 10:58:49  ankry
- get rid of .pod documentation, rel. 2

Revision 1.28  2004/10/11 20:39:30  freetz
- 1.061

Revision 1.27  2004/09/17 04:31:59  freetz
- 1.060

Revision 1.26  2004/07/25 21:49:34  freetz
- 1.043

Revision 1.25  2004/04/21 08:40:39  ankry
- license fixes/unification

Revision 1.24  2004/04/15 12:41:57  grzegol
- updated to 1.042

Revision 1.23  2004/03/24 16:54:41  freetz
- merged DEVEL branch, up to stable 1.040 (1.04x series)

Revision 1.22  2004/02/08 17:11:38  misi3k
- down to 1.021

Revision 1.20  2004/01/30 10:17:24  freetz
- up to 1.021
- x86_64 fixes by jajcuś included in sources

Revision 1.19.2.9  2004/03/18 23:37:33  freetz
- one point up (beta stage) 1.039

Revision 1.19.2.8  2004/03/11 12:26:04  freetz
- 1.038

Revision 1.19.2.7  2004/02/29 23:07:30  freetz
- 1.037

Revision 1.19.2.6  2004/02/21 14:00:42  freetz
- 1.036

Revision 1.19.2.5  2004/02/13 20:30:00  freetz
- 1.035

Revision 1.19.2.4  2004/02/12 22:43:02  freetz
- 1.034

Revision 1.19.2.3  2004/01/30 16:08:58  freetz
- 1.033

Revision 1.19.2.2  2004/01/16 15:43:50  freetz
- changelog update (sorry about this)

Revision 1.19.2.1  2004/01/16 15:40:21  freetz
- up to 1.030, moved to DEVEL branch
- kill_warnings patch already in sources

Revision 1.19  2004/01/09 14:37:35  jajcus
- patch to remove compilator warnings added (doesn't help for make test not pass on AMD64 :-( )

Revision 1.18  2004/01/07 16:17:49  freetz
- 1.020

Revision 1.17  2003/11/30 18:36:49  freetz
- 1.013

Revision 1.16  2003/11/29 00:30:29  qboosh
- updated ExtUtils::Depends version

Revision 1.15  2003/11/28 15:13:03  freetz
- up to 1.012

Revision 1.14  2003/10/17 19:12:20  qboosh
- don't include .pods, new-style bcond

Revision 1.13  2003/10/10 22:04:10  freetz
- up to final 1.00

Revision 1.12  2003/09/15 11:43:07  adamg
- updated to 1.00rc1

Revision 1.11  2003/08/30 18:08:52  freetz
- one point more: 0.96

Revision 1.10  2003/08/23 22:04:10  freetz
- up to 0.95

Revision 1.9  2003/08/18 08:08:49  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.8  2003/08/02 22:31:50  krzak
- up to 0.92

Revision 1.7  2003/08/01 14:19:36  qboosh
- BR: pkgconfig

Revision 1.6  2003/08/01 14:15:37  qboosh
- Glib.so perms, BR: perl-ExtUtils-Depends

Revision 1.5  2003/07/31 22:20:02  qboosh
- pl, missing dir

Revision 1.4  2003/07/25 21:41:19  freetz
- sf.net rocks, back to default url

Revision 1.3  2003/07/25 21:36:36  freetz
- temp url change for source0 fetch

Revision 1.2  2003/07/25 21:21:13  freetz
- up to 0.91

Revision 1.1  2003/07/25 15:52:41  freetz
- initial release
